Main Page Class Hierarchy Compound List File List Compound Members File Members

# wave_client.c File Reference

`#include <stdlib.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <earthworm.h>`
`#include <kom.h>`
`#include "wave_client.h"`

Go to the source code of this file.

## Defines
#define | MAX_MSG_LEN 126
## Functions
int | wave_request (double ton, double toff, char *pathfile)
int | wave_inquire (double *tstart, double *tend, unsigned char *inst, unsigned char *module, unsigned char *type)
void | wave_client_config (char *configfile)
int | wave_client_setup (char *ipadr, int port)
## Variables
int | Config_Init = 0
hostent * | Host
sockaddr_in | Sin
unsigned long | Addr

## Define Documentation

#define MAX_MSG_LEN 126

| Definition at line 38 of file wave_client.c. Referenced by wave_inquire(), and wave_request().

## Function Documentation

void wave_client_config | ( | char * | configfile | ) |

| Definition at line 416 of file wave_client.c. References Addr, com, Config_Init, Host, k_close(), k_err(), k_int(), k_its(), k_open(), k_rd(), k_str(), and Sin.

int wave_client_setup | ( | char * | ipadr,
|  | int | port
| ) |

| Definition at line 555 of file wave_client.c. References Addr, Config_Init, Host, logit(), and Sin.

int wave_inquire | ( | double * | tstart,
|  | double * | tend,
|  | unsigned char * | inst,
|  | unsigned char * | module,
|  | unsigned char * | type
| ) |

| Definition at line 299 of file wave_client.c. References Config_Init, logit(), MAX_MSG_LEN, SocketClose(), SocketPerror(), and type.

int wave_request | ( | double | ton,
|  | double | toff,
|  | char * | pathfile
| ) |

| Definition at line 51 of file wave_client.c. References Config_Init, ERR_ALLOC, ERR_FILEIO, ERR_NODATA, ERR_OVRFLW, ERR_SOCKET, ERR_STRIO, logit(), MAX_MSG_LEN, SocketClose(), SocketPerror(), and type.

## Variable Documentation

unsigned long Addr`[static]`

| Definition at line 45 of file wave_client.c. Referenced by wave_client_config(), and wave_client_setup().

int Config_Init = 0`[static]`

| Definition at line 42 of file wave_client.c. Referenced by wave_client_config(), wave_client_setup(), wave_inquire(), and wave_request().

struct hostent* Host`[static]`

| Definition at line 43 of file wave_client.c. Referenced by wave_client_config(), and wave_client_setup().

struct sockaddr_in Sin`[static]`

| Definition at line 44 of file wave_client.c. Referenced by wave_client_config(), and wave_client_setup().